Package com.oracle.nfi.api

## Interface NativeFunctionPointer

    public interface NativeFunctionPointer

An opaque representation of a native function pointer.

Use `NativeFunctionInterface#getFunctionHandle(NativeFunctionPointer, Class, Class...)` to get a handle enabling the native function to be called.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Returns the name of the function.
`long` `getRawValue()` Returns the raw function pointer value.

### Method Detail

#### getName

    java.lang.String getName()

Returns the name of the function.

Returns:
  name of the function

#### getRawValue

    long getRawValue()

Returns the raw function pointer value.

Returns:
  raw function pointer value